Part Fase

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Chamfer and the translation is 90% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Part Chamfer.svg Part Fase

Menüeintrag
Part → Fase...
Arbeitsbereich
Part Arbeitsbereich
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Verrundung

Beschreibung

Anfasen der gewählten Kante(n) eines Objekts. Ein Dialog erlaubt die Auswahl, welche Kante(n) betroffen sind, sowie die Anpassung verschiedener Anfasungsparameter.

Anfasungsbeispiel

Anwendung

  1. Rufe den Befehl Fase auf mehrere Arten im Workbench Part.svg Formteil Arbeitsbereich
    • Drücke die Part Chamfer.svg Schaltfläche in der Formteil Werkzeugleiste
    • Verwende den Part → Fase Eintrag im Formteil Menü
  2. Wähle die anzufasende Form aus dem Dialogfeld aus.
  3. Wähle die anzufasenden Kanten aus, indem du das entsprechende Kästchen im Dialogfeld für Fasen anhakst oder indem du sie direkt am Modell auswählst.
  4. Bearbeite Fasenparameter.
  5. Drücke OK, um das Dialogfeld für die Fase zu schließen und die Fase anzuwenden.

Optionen

Dialog-chamfer

  • Wenn du Kanten am Modell auswählst, hast du die Möglichkeit, nach Kante oder Fläche zu wählen. Die Auswahl nach Fläche wählt alle angrenzenden Kanten dieser Fläche aus.
  • Fase mit konstanter Länge oder Fase mit variabler Länge.
    • Eine Fase mit konstanter Länge erzeugt eine Fase mit Kanten, die in dem angegebenen Abstand gleich weit von der Originalkante entfernt sind.
    • Eine Fase mit variabler Länge hat Kanten, die in unterschiedlichen Abständen von der ursprünglichen Kante eingestellt werden können, so dass du eine Fase in einem variablen Winkel erstellen kannst.

Eigenschaften

Part_Faseneigenschaften


Basis

  • Daten-EigenschaftBasis: Die Form, auf die die Fase aufgebracht werden soll.
  • Daten-EigenschaftPlacement: Gibt die Ausrichtung und Lage der Form im 3D Raum an.
  • Daten-EigenschaftKennzeichen: Beschriftung des Objekts. Passe sie deinen Bedürfnissen an.


Einschränkungen

Die Fase könnte nichts ausrichten, wenn das Ergebnis die nächste angrenzende Kante berühren oder überqueren würde. Wenn du also nicht das erwartete Ergebnis erhälst, versuche es mit einem kleineren Wert. Dies gilt auch für Part Fillet.svg Part Verrundung.

Beachte auch, dass die Fasenfunktion von dem Topologischen Benennungsproblem betroffen ist, wenn die Änderung in einem Modellierungsschritt vorgenommen wird, der früher in der Kette liegt und die Anzahl der Facetten oder Eckpunkte beeinflusst. Dies kann zu unvorhersehbaren Ergebnissen führen. Bis dies gelöst ist (möglicherweise mit V0.20), wird empfohlen, die Operationen Fase und Part Fillet.svg Part Verrundung auf die letzten Schritte in der Kette anzuwenden.

Skripten

Das Fasenwerkzeug kann in Makros und von der Python-Konsole aus verwendet werden, indem dem Dokument ein Fasenobjekt hinzugefügt wird.

Beispiel Skript:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
chmfr.Base = FreeCAD.ActiveDocument.myCube
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
chmfr.Edges = myEdges
FreeCADGui.ActiveDocument.myCube.Visibility = False
FreeCAD.ActiveDocument.recompute()

Beispiel Skript Erklärung:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
  • Erzeugt einen 5 mm Würfel, auf den wir gefaste Kanten aufbringen können. Siehe Part_API für eine Erklärung der makeBox Methode.
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
  • Fügt ein neues Objekt dem Dokument vom Typ Fase (aus dem Part Arbeitsbereich) mit der Bezeichnung "myChamfer" hinzu.
chmfr.Base = FreeCAD.ActiveDocument.myCube
  • Legt fest, dass die Grundform des Fasenobjekts "myCube" sein soll.
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
  • Erstellt ein leeres Feld "myEdges" und hängt dann das Feld mit den Fasenparametern jeder Kante an.
  • Die Syntax für jedes Element sollte sein (Kante#, Fasenanfangslänge, Fasenendlänge)
chmfr.Edges = myEdges
  • Setzt das Kantenattribut unseres Fasenobjekts gleich dem Feld, das wir gerade erstellt haben.
FreeCADGui.ActiveDocument.myCube.Visibility = False
  • Diese Linie verbirgt einfach "myCube", so dass nur unser neu erstelltes "myChamfer" Objekt sichtbar ist.
FreeCAD.ActiveDocument.recompute()
  • Berechnet alle geänderten Komponenten auf dem Bildschirm neu und aktualisiert die Anzeige.